#!/bin/sh


ORATAB=/etc/oratab






cat $ORATAB  | awk -F: '/^[a-zA-Z0-9]/ { printf "%s %s\n",$1,$2 }'  | while read SID HOME; do


	ORACLE_SID=$SID
	ORACLE_HOME=$HOME
	export ORACLE_SID ORACLE_HOME

	VERSION=`$ORACLE_HOME/bin/sqlplus -V | awk '/Release/ { print "Oracle",$3 }' | cut -d "." -f1`

	if [ "$VERSION" != "$1" ]
	then
		continue
	fi

	printf "db $SID $HOME "
	USER=`ls -l $ORACLE_HOME/bin/sqlplus | awk '{ print $3 }'`
	su $USER -c "echo 'select log_mode from v\$database;' | $ORACLE_HOME/bin/sqlplus / as sysdba" | egrep "ORA-|ARCHIVELOG"
done

