#!/bin/sh


ORATAB=/etc/oratab



if [ -f $ORATAB ];then
	HOMES=`awk -F: '/^[a-zA-Z0-9]/ { print $2 }' $ORATAB`

	for home in $HOMES
	do
		export ORACLE_HOME=$home
		$home/bin/sqlplus -V | awk '/Release/ { print "Oracle",$3 }' | cut -d "." -f1
	done
fi

